shibboleth-3.5.0

Classes | Namespaces | Macros | Functions | Variables
Handler.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <shibsp/SPRequest.h>`
`#include <shibsp/util/PropertySet.h>`

## Classes
class | shibsp::Handler
| Pluggable runtime functionality that implement protocols and services. More...

## Namespaces
namespace | xmltooling
| Licensed to the University Corporation for Advanced Internet Development, Inc.
namespace | shibsp
| Shibboleth Service Provider Library.

## Macros
#define | SAML1_ASSERTION_CONSUMER_SERVICE "SAML1"
| Handler for SAML 1.x SSO.
#define | SAML20_ASSERTION_CONSUMER_SERVICE "SAML2"
| Handler for SAML 2.0 SSO.
#define | SAML20_LOGOUT_HANDLER "SAML2"
| Handler for SAML 2.0 SLO.
#define | SAML20_NAMEID_MGMT_SERVICE "SAML2"
| Handler for SAML 2.0 NIM.
#define | SAML20_ARTIFACT_RESOLUTION_SERVICE "SAML2"
| Handler for SAML 2.0 Artifact Resolution.
#define | ATTR_CHECKER_HANDLER "AttributeChecker"
| Handler for hooking new sessions with attribute checking.
#define | DISCOVERY_FEED_HANDLER "DiscoveryFeed"
| Handler for metadata generation.
#define | EXTERNAL_AUTH_HANDLER "ExternalAuth"
| Handler for external authentication integration.
#define | METADATA_GENERATOR_HANDLER "MetadataGenerator"
| Handler for metadata generation.
#define | STATUS_HANDLER "Status"
| Handler for status information.
#define | SESSION_HANDLER "Session"
| Handler for session diagnostic information.

## Functions
void | shibsp::registerHandlers ()
| Registers Handler implementations.

## Variables
class XMLTOOL_API | xmltooling::HTTPRequest
class XMLTOOL_API | xmltooling::HTTPResponse

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Pluggable runtime functionality that implement protocols and services.